Viewing Issue Advanced Details Jump to Notes ] trs80.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06189 Misc. Minor Always Apr 26, 2016, 12:54 May 1, 2016, 09:24
Tester demotester View Status Public Platform MESS (Unofficial Binary)
Assigned To Robbbert Resolution Fixed OS Windows XP
Status [?] Resolved   Driver trs80.cpp
Version 0.172 Fixed in Version 0.174 Build Normal
Summary MESS-specific 06189: All sets in trs80.cpp: Current disk emu supports only SSSD !
Description Older version of mess (like 0.161) supported 200k disks, i.e. SSDD or single sided double density (or 80 tracks).

In newer versions this is changed to only SSSD or single sided single density (or 40 tracks), so 200k disks not boot anymore!

Note:
I found that this has been already discussed on forum (see link below) but the problem is "double density or 80 track disks" and not "double sided disks"!
I am not sure is double sided disks supported on other emus, but on "ht1080z1.6.6" emu double sided disks are not supported, only SSSD and SSDD works.

forum - support for double sided drives:
http://forums.bannister.org/ubbthreads.php?ubb=showflat&Number=104182&page=3

I guess this can be easily fixed!


EDIT:
Hmm, seems "TRSTools1.12" also not support double sided disks! (at least the one called "dick-smith-system-80-diagnostic" ... hmm, but "sdltrs_win32_1_1_0" emu boot it fine!)
Btw. used disk format (40 or 80 tracks / single or double density) can be easily checked on tool like "HxCFloppyEmulator" in Track Analyzer / Disk View !

Maybe the best solution would be if DSDD drive (double sided double density) is supported!


NEW:
hmm, or maybe not... http://www.trs-80.com/wordpress/hardware-replacement-floppy/#svd
on above link for replacement floppy says: (see quote below and my notes on right side)
------------------------------------------------------------------------------------------------------------
Current features of the SVD are:
Up to three diskette images can be loaded at once (drive 0, 1, and 2) up to 256k
single-sided single density (SS SD) ................................................................................ <--- (note this !!!!)
double density (SS DD) .......................................................................................................<--- (note this !!!!)
reading/booting the diskette image
writing the diskette image
LEDs for power, drive0/1/2, track0, and write
Supports Model I, III, 4, 4P and CoCo.
DOES NOT SUPPORT DOUBLE SIDED DISKS. ...........................................................<--- (and note this !!!!)
------------------------------------------------------------------------------------------------------------

So, according to above, maybe the "double sided disks" is not necessary to emulate!?
Steps To Reproduce
Additional Information Common File Formats for Emulated TRS-80 Floppy Disks
http://tim-mann.org/trs80/dskspec.html

EDIT:
According to above Model 3/4 should use the JV3 disk format ! (but it seems that current mess uses JV1 disk format for Model 3/4, what is wrong)
The disk format JV1 should be used for Model 1 and JV3 for Model 3/4 only!

Here is an example for JV3 disk format: http://www.sol20.org/vmedia/sol20_clones.zip (Note: TRSTools reports for this JV3 format)
Above is bootable on Model3 (tested) in other emu, but not in mess Model 3/4 driver !? (and of course, it does not work on Model 1)
Flags
Regression Version
Affected Sets / Systems All sets in trs80.cpp
Attached Files
 


-  Notes
User avatar
No.12558
demotester
(Tester)
Apr 26, 2016, 19:25
edited on: Apr 27, 2016, 12:09
Interesting, the "trs80l2" driver while running basic in older mess 0.161 on my PC system uses some 30% in Task-Manager, and in mess 0.172 it uses some 80% !?
(and both versions are MESS (Unofficial Binary) tested from the same folder... wonder what could be a reason?)

EDIT:
Ok, found it...
by default I had Videomode set on Auto, but if set it on OpenGL it will use only some 30% in Task-Manager ! (so, it seems the OpenGL works the best on my system)

User avatar
No.12564
Robbbert
(Developer)
Apr 30, 2016, 01:18
JV3 was never supported.

Double Density broke when the floppy code was converted to the new wd-fdc.

The driver hasn't been otherwise touched in ages and needs a rewrite, which I will do ... some time.
User avatar
No.12573
Robbbert
(Developer)
May 1, 2016, 05:40
Added back support for 200k JV1 disks.
User avatar
No.12575
demotester
(Tester)
May 1, 2016, 09:24
Thanks for fixing the problem! :)